/*
===============================================================================

  FILE:  SVreader_jrs.h
  
  CONTENTS:
  
    Reads a mesh from an Jonathan R. Shewchuk's *.node and *.ele format and
    presents it as a (poor) streaming mesh.
  
  PROGRAMMERS:
  
    martin isenburg@cs.unc.edu
  
  COPYRIGHT:
  
    copyright (C) 2008  martin isenburg@cs.unc.edu
    
    This software is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  
  CHANGE HISTORY:
  
    29 May 2008 -- created after spending half a day at Kaiser
  
===============================================================================
*/
#ifndef SVREADER_JRS_H
#define SVREADER_JRS_H

#include "svreader.h"

#include <stdio.h>

class SVreader_jrs : public SVreader
{
public:

  // SVreader interface function implementations

  SVevent read_element();
  SVevent read_event();

  void close(bool close_file=true);

  // SVreader_jrs functions

  bool open(FILE* file_node, FILE* file_ele);

  SVreader_jrs();
  ~SVreader_jrs();

private:
  int ncoords;
  int minus;
  int skipped_lines;
  FILE* file_node;
  FILE* file_ele;
  char* line_node;
  char* line_ele;
};

#endif
